enfr

News

News > It's time to upgrade to .NET Framework 4.7.2

It's time to upgrade to .NET Framework 4.7.2


Once the T2 filing season ends, we will be moving TaxCycle and DoxCycle forward to use the latest Microsoft .NET Framework, version 4.7.2. There are several updates in this version change that will help the Client Manager and TaxCycle run even better.

We wanted to give you time to plan your upgrades. The more workstations/servers that already have this version .NET installed when our release comes out, the smoother the update process will be. And if you need to update a properly-secured server, this gives you time to prepare and plan in advance.

How to get ready

  • 2018-net-start-screenIf you are running Windows 10, the April 2018 Update (all editions) includes the .NET Framework 4.7.2 as an operating system component, and it is installed by default. Depending on each computer's Windows update settings, this version of .NET may be installed as part of the regular Windows update process.
  • TaxCycle or DoxCycle will also detect if .NET 4.7.2 is not yet installed on your computer and will prompt you to upgrade. Click the update link to download and install right away. It opens the Microsoft download page for this version of .NET. Click the button to download Download .NET Framework 4.7.2 and run the installer.
  • Once .NET 4.7.2 becomes required by TaxCycle and DoxCycle, our setup programs will automatically install it on your system.

End of support for Windows Server 2008 SP2

Once .NET Framework 4.7.2 is required to run TaxCycle and DoxCycle, we will also drop support for Windows Server 2008 SP2 as it is not an eligible operating system for this version of .NET.


 

Join Our Newsletter

Sign up to get TaxCycle news delivered right to your inbox.